BasicPatternVariable (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.basic.BasicPatternVariable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.basic
Class BasicPatternVariable

    java.lang.Object
      com.meyling.principia.argument.AbstractArgument
          com.meyling.principia.argument.PatternVariable
              com.meyling.principia.logic.basic.BasicPatternVariable

All Implemented Interfaces:
  Argument, Comparable, CounterMarker

Direct Known Subclasses:
  BasicFormulaPatternVariable, BasicPredicateVariablePatternVariable

public class BasicPatternVariable
extends PatternVariable
implements CounterMarker

Pattern variable, for matching purposes.

Version:
  $Revision: 1.7 $
Author:
  Michael Meyling

Constructor Summary
`BasicPatternVariable(Argument[] arguments)` Constructs a pattern variable.

Method Summary
`Argument` | `create(Argument[] arguments)` Create a new Argument with given arguments.
`String` | `toString()` Get the argument in `String` form.

Methods inherited from class com.meyling.principia.argument.PatternVariable
`compareTo, containsPatternVariables, copy, getArgument, getArgumentSize, getContent, getNumber, isMatching, setContent`

Methods inherited from class com.meyling.principia.argument.AbstractArgument
`equals, getHighestNumber, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.meyling.principia.argument.CounterMarker
`getNumber`

Methods inherited from interface com.meyling.principia.argument.Argument
`containsPatternVariables, copy, equals, getArgument, getArgumentSize, getPatternVariables, getReplacementParents, getSearchParents, hashCode, matches, matches, replace, replace, replace, replaceMatches`

Constructor Detail

### BasicPatternVariable

    public BasicPatternVariable(Argument[] arguments)
                         throws ArgumentException

  Constructs a pattern variable.

Parameters:
  `arguments` - first argument is number of this pattern variable
Throws:
  `ArgumentException` - if there is not exactly one argument that is an instance of `Counter`

Method Detail

### create

    public Argument create(Argument[] arguments)
                    throws ArgumentException

  Description copied from interface: `Argument`
  Create a new Argument with given arguments.

  Specified by:
    `create` in interface `Argument`
  Overrides:
    `create` in class `PatternVariable`
  Throws:
    `ArgumentException`

### toString

    public String toString()

  Description copied from interface: `Argument`
  Get the argument in `String` form.

  Specified by:
    `toString` in interface `Argument`
  Overrides:
    `toString` in class `PatternVariable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.